package com.ejie.ab78.model.denuncias;

import java.util.Date;

import com.ejie.ab78.model.maestros.Decision;
import com.ejie.ab78.model.maestros.TipoEstablecimiento;
import com.ejie.ab78.model.maestros.TipoReclamacion;
import com.ejie.ab78.model.procedimientos.Direcciones;
import com.ejie.ab78.model.terceros.DatosDirecciones;
import com.ejie.ab78.model.terceros.DatosTerceros;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class ExpedienteDenunciaFilter implements java.io.Serializable {

	private Direcciones direcciones;
	private String folderNumber;
	private Integer filterInactivos;
	private TipoEstablecimiento tipoEstablecimiento;
	private String identificadorEstablecimiento;
	private String nombreComercial;
	private TipoReclamacion tipoReclamacion;
	private String numReclamacion;
	private String numPaginaRec;
	private Date fechaPresentacionDesde;
	private Date fechaPresentacionHasta;
	private Date fechaHechosDesde;
	private Date fechaHechosHasta;
	private Date fechaDecisionDesde;
	private Date fechaDecisionHasta;
	private Decision tipoDecision;
	private Integer indTipoReclamacion;
	private DatosDirecciones datosDirecciones;
	private DatosTerceros datosTerceros;
	private String parteLetra;
	private String parteProv;
	private String parteSequencia;
	private RelacionMotivoDen relacionMotivo;
	private String identificadorInspeccion;
	private Boolean tieneInspeccion;
	private String tituloExpediente;
	private Long idProcedimiento;
	private Boolean isNoFormal;

	/**
	 * Method 'ExpedienteDenuncia'.
	 */
	public ExpedienteDenunciaFilter() {
	}

	public Direcciones getDirecciones() {
		return direcciones;
	}

	public void setDirecciones(Direcciones direcciones) {
		this.direcciones = direcciones;
	}

	public String getFolderNumber() {
		return folderNumber;
	}

	public void setFolderNumber(String folderNumber) {
		this.folderNumber = folderNumber;
	}

	public TipoEstablecimiento getTipoEstablecimiento() {
		return tipoEstablecimiento;
	}

	public void setTipoEstablecimiento(TipoEstablecimiento tipoEstablecimiento) {
		this.tipoEstablecimiento = tipoEstablecimiento;
	}

	public String getIdentificadorEstablecimiento() {
		return identificadorEstablecimiento;
	}

	public void setIdentificadorEstablecimiento(String identificadorEstablecimiento) {
		this.identificadorEstablecimiento = identificadorEstablecimiento;
	}

	public String getNombreComercial() {
		return nombreComercial;
	}

	public void setNombreComercial(String nombreComercial) {
		this.nombreComercial = nombreComercial;
	}

	public TipoReclamacion getTipoReclamacion() {
		return tipoReclamacion;
	}

	public void setTipoReclamacion(TipoReclamacion tipoReclamacion) {
		this.tipoReclamacion = tipoReclamacion;
	}

	public String getNumReclamacion() {
		return numReclamacion;
	}

	public void setNumReclamacion(String numReclamacion) {
		this.numReclamacion = numReclamacion;
	}

	public String getNumPaginaRec() {
		return numPaginaRec;
	}

	public void setNumPaginaRec(String numPaginaRec) {
		this.numPaginaRec = numPaginaRec;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaPresentacionDesde() {
		return fechaPresentacionDesde;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaPresentacionDesde(Date fechaPresentacionDesde) {
		this.fechaPresentacionDesde = fechaPresentacionDesde;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaPresentacionHasta() {
		return fechaPresentacionHasta;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaPresentacionHasta(Date fechaPresentacionHasta) {
		this.fechaPresentacionHasta = fechaPresentacionHasta;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaHechosDesde() {
		return fechaHechosDesde;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaHechosDesde(Date fechaHechosDesde) {
		this.fechaHechosDesde = fechaHechosDesde;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaHechosHasta() {
		return fechaHechosHasta;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaHechosHasta(Date fechaHechosHasta) {
		this.fechaHechosHasta = fechaHechosHasta;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaDecisionDesde() {
		return fechaDecisionDesde;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaDecisionDesde(Date fechaDecisionDesde) {
		this.fechaDecisionDesde = fechaDecisionDesde;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaDecisionHasta() {
		return fechaDecisionHasta;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaDecisionHasta(Date fechaDecisionHasta) {
		this.fechaDecisionHasta = fechaDecisionHasta;
	}

	public Decision getTipoDecision() {
		return tipoDecision;
	}

	public void setTipoDecision(Decision tipoDecision) {
		this.tipoDecision = tipoDecision;
	}

	public Integer getIndTipoReclamacion() {
		return indTipoReclamacion;
	}

	public void setIndTipoReclamacion(Integer indTipoReclamacion) {
		this.indTipoReclamacion = indTipoReclamacion;
	}

	public DatosDirecciones getDatosDirecciones() {
		return datosDirecciones;
	}

	public void setDatosDirecciones(DatosDirecciones datosDirecciones) {
		this.datosDirecciones = datosDirecciones;
	}

	public DatosTerceros getDatosTerceros() {
		return datosTerceros;
	}

	public void setDatosTerceros(DatosTerceros datosTerceros) {
		this.datosTerceros = datosTerceros;
	}

	public String getParteLetra() {
		return parteLetra;
	}

	public void setParteLetra(String parteLetra) {
		this.parteLetra = parteLetra;
	}

	public String getParteProv() {
		return parteProv;
	}

	public void setParteProv(String parteProv) {
		this.parteProv = parteProv;
	}

	public String getParteSequencia() {
		return parteSequencia;
	}

	public void setParteSequencia(String parteSequencia) {
		this.parteSequencia = parteSequencia;
	}

	/**
	 * @return the relacionMotivo
	 */
	public RelacionMotivoDen getRelacionMotivo() {
		return relacionMotivo;
	}

	/**
	 * @param relacionMotivo
	 *            the relacionMotivo to set
	 */
	public void setRelacionMotivo(RelacionMotivoDen relacionMotivo) {
		this.relacionMotivo = relacionMotivo;
	}

	public Integer getFilterInactivos() {
		return filterInactivos;
	}

	public void setFilterInactivos(Integer filterInactivos) {
		this.filterInactivos = filterInactivos;
	}

	/**
	 * @return the identificadorInspeccion
	 */
	public String getIdentificadorInspeccion() {
		return identificadorInspeccion;
	}

	/**
	 * @param identificadorInspeccion
	 *            the idInspeccion to set
	 */
	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}

	/**
	 * @return the tieneInspeccion
	 */
	public Boolean getTieneInspeccion() {
		return tieneInspeccion;
	}

	/**
	 * @param tieneInspeccion
	 *            the tieneInspeccion to set
	 */
	public void setTieneInspeccion(Boolean tieneInspeccion) {
		this.tieneInspeccion = tieneInspeccion;
	}

	public String getTituloExpediente() {
		return tituloExpediente;
	}

	public void setTituloExpediente(String tituloExpediente) {
		this.tituloExpediente = tituloExpediente;
	}

	public Long getIdProcedimiento() {
		return idProcedimiento;
	}

	public void setIdProcedimiento(Long idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}

	public Boolean getIsNoFormal() {
		return isNoFormal;
	}

	public void setIsNoFormal(Boolean isFormal) {
		this.isNoFormal = isFormal;
	}

}
